﻿Imports System.Windows.Forms
Public Class HT_ERP_SELLINGPI
    Private Sub ShowNewForm(ByVal sender As Object, ByVal e As EventArgs) Handles NewWindowToolStripMenuItem.Click
        Dim ChildForm As New System.Windows.Forms.Form
        ChildForm.MdiParent = Me
        m_ChildFormNumber += 1
        ChildForm.Text = "視窗 " & m_ChildFormNumber
        ChildForm.Show()
    End Sub
    Private Sub ExitToolsStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles ExitToolStripMenuItem.Click
        Me.Close()
    End Sub
    Private Sub CascadeToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles CascadeToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.Cascade)
    End Sub
    Private Sub TileVerticalToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles TileVerticalToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.TileVertical)
    End Sub
    Private Sub TileHorizontalToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles TileHorizontalToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.TileHorizontal)
    End Sub
    Private Sub ArrangeIconsToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles ArrangeIconsToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.ArrangeIcons)
    End Sub
    Private Sub CloseAllToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles CloseAllToolStripMenuItem.Click
        For Each ChildForm As Form In Me.MdiChildren
            ChildForm.Close()
        Next
    End Sub
    Private m_ChildFormNumber As Integer
    Private Sub HT_ERP_SELLINGPI_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        '-----系統管理---------------------------------------------------------------------------------------------------------------------------------------------------------------------
        系統設定_tsm.Visible = CC(1)
        '-----銷售管理系統---------------------------------------------------------------------------------------------------------------------------------------------------------------------
        銷售管理系統_tsm.Visible = CC(2) : 商業發票_tsm.Visible = CC(3) : 銷售審查表_tsm.Visible = CC(6)
    End Sub
    Private Sub GRAMS_SYS_SIZE(sender As Object, e As EventArgs) Handles MyBase.SizeChanged
        Me.BackgroundImage = My.Resources._2022107154743680974 : Me.BackgroundImageLayout = 3
    End Sub
    Private Sub YS_ERP_SYS_Closed(sender As Object, e As EventArgs) Handles MyBase.Closed
        登入.Close()
    End Sub
    Private Sub 系統使用者管理_tsm_Click(sender As Object, e As EventArgs) Handles 系統使用者管理_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        系統使用者管理.Show() : 系統使用者管理.BringToFront()
    End Sub
    Private Sub 銷售單據列印_tsm_Click(sender As Object, e As EventArgs) Handles 商業發票_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        銷售發票.Show() : 銷售發票.BringToFront()
    End Sub
    Private Sub 銷售審查表_tsm_Click(sender As Object, e As EventArgs) Handles 銷售審查表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        銷售審查表.Show() : 銷售審查表.BringToFront()
    End Sub
    Private Sub 裝箱單_tsm_Click(sender As Object, e As EventArgs) Handles 裝箱單_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        裝箱單.Show() : 裝箱單.BringToFront()
    End Sub
End Class
