﻿Module SQL銷售系統管理
    Friend Sub SQL_OD銷售單()
        ConnOpen()
        SQL1 = "SELECT   public.sale_order.id, public.sale_order.name AS 銷售單號, public.sale_order.client_order_ref AS 客戶訂單號, public.sale_order.state AS 訂單狀態, 
                         public.sale_order.date_order AS 下單日期, public.hr_employee.name AS 建立人員, public.sale_order.note AS 備註, public.res_partner.name AS 客戶,
                         public.res_partner.street AS 街道1, public.res_partner.street2 AS 街道2, public.res_partner.city AS 城市, public.res_partner.zip AS 郵號,
                         public.res_country.name AS 國家, public.res_partner.phone AS 電話, public.account_incoterms.code AS 國貿, public.res_partner.ship_to AS 運送到
                FROM     public.sale_order LEFT OUTER JOIN
                         public.res_users ON public.sale_order.user_id = public.res_users.id LEFT OUTER JOIN
                         public.hr_employee ON public.hr_employee.user_id = public.res_users.id LEFT OUTER JOIN  
                         public.res_partner ON public.sale_order.partner_shipping_id = public.res_partner.id LEFT OUTER JOIN 
                         public.res_country ON public.res_partner.country_id = public.res_country.id LEFT OUTER JOIN
                         public.account_incoterms ON public.sale_order.incoterm = public.account_incoterms.id
                ORDER BY public.sale_order.id ASC"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_OD()
        ConnOpen()
        SQL1 = "SELECT * FROM public.res_partner
                ORDER BY id ASC "
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_天心銷售單(轉移目標 As String)  '已轉審查
        ConnOpen_SQL()
        SQL1 = "SELECT    受訂控制表.受訂單號, 受訂控制表.受訂日期, 受訂控制表.預交日期, 受訂控制表.客戶編號, 
                          受訂控制表.客戶名稱, 受訂控制表.統一編號, 受訂控制表.連絡電話, 受訂控制表.送貨地址, 受訂控制表.傳真, 
                          受訂控制表.經辦業務, 受訂控制表.交易方式, 受訂控制表.備註, 受訂控制表.幣別, 受訂控制表.匯率, 
                          QQ.受訂單號 AS 還未完單
                FROM      受訂控制表 LEFT OUTER JOIN
                         (SELECT    受訂單號
                          FROM      受訂明細表
                          WHERE    (" & 轉移目標 & " = 0) OR (" & 轉移目標 & " IS NULL)
                          GROUP BY  受訂單號) AS QQ ON 受訂控制表.受訂單號 = QQ.受訂單號
                ORDER BY  受訂控制表.受訂單號 DESC"
        CmdSet_For_DGV_SQL()
    End Sub
    Friend Sub SQL_天心銷售單明細(單號 As String, 轉移目標 As String)
        ConnOpen_SQL()
        SQL1 = "SELECT 流水號, 流水號 AS 項次, 受訂單號, 產品編號, 產品名稱, 數量, 單位, 單價, 金額, 備註, 已轉發票 AS 選擇, " & 轉移目標 & " AS 已轉, 訂單號, 貨號
                FROM   受訂明細表 WHERE 受訂單號 LIKE N'" & 單號 & "' ORDER BY 流水號"
        CmdSet_For_DGV_SQL()
    End Sub
    Friend Sub SQL_銷售單()
        ConnOpen_SQL()
        SQL1 = "SELECT  送貨單號, 客戶基本資料, 客戶名稱, 出貨日期, 經辦人員, 出貨地點, 運送到, 運送方式, 出貨方, 貿易通則, 
                        出貨備註, 貨櫃, 貨櫃ID, 貨櫃封條, 棧板數量, 製造, 品牌
                FROM    銷售發票控制表 ORDER BY 送貨單號 DESC"
        CmdSet_For_DGV_SQL()
    End Sub
    Friend Sub SQL_銷售單明細(單號 As String)
        ConnOpen_SQL()
        SQL1 = "SELECT    銷售發票明細表.送貨單號 AS No, 銷售發票明細表.品名, 銷售發票明細表.描述 AS Description, 
                          訂單審查明細表.客戶訂單號 AS [Customer Ref.], 銷售發票明細表.受訂單號 AS [Line Ref.], 
                          銷售發票明細表.數量 AS Quantity, 銷售發票明細表.單價 AS [Unit Price], 銷售發票明細表.金額 AS Amount, 
                          銷售發票明細表.選擇, 銷售發票明細表.流水號, 銷售發票明細表.受定流水號, 銷售發票明細表.對方貨號 AS 件號
                FROM      銷售發票明細表 LEFT OUTER JOIN
                          訂單審查明細表 ON 銷售發票明細表.受定流水號 = 訂單審查明細表.流水號
                WHERE    (銷售發票明細表.送貨單號 LIKE N'" & 單號 & "')
                ORDER BY  銷售發票明細表.流水號"
        CmdSet_For_DGV_SQL()
    End Sub
    Friend Sub SQL_銷售單明細_描述()
        ConnOpen_SQL()
        SQL1 = "SELECT  描述, 對方貨號  FROM  銷售發票明細表  WHERE  (描述 NOT LIKE '') AND (描述 IS NOT NULL)  GROUP BY  描述, 對方貨號"
        CmdSet_For_DGV_SQL()
    End Sub
    Friend Sub SQL_受訂控制表查詢(單號 As String)
        ConnOpen_SQL() : SQL1 = "SELECT  受訂單號  FROM  受訂控制表  WHERE  (受訂單號 LIKE N'" & 單號 & "')" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_受訂控制表新增(受訂單號 As String, 受訂日期 As String, 預交日期 As String, 客戶編號 As String, 客戶名稱 As String, 統一編號 As String, 連絡電話 As String,
                                  送貨地址 As String, 傳真 As String, 經辦業務 As String, 交易方式 As String, 備註 As String, 幣別 As String, 匯率 As String)
        ConnOpen_SQL()
        SQL1 = "INSERT INTO 受訂控制表 (受訂單號, 受訂日期, 預交日期, 客戶編號, 客戶名稱, 統一編號, 連絡電話, 送貨地址, 傳真, 經辦業務, 
                            交易方式, 備註, 幣別, 匯率)
                VALUES (N'" & 受訂單號 & "', N'" & 受訂日期 & "', N'" & 預交日期 & "', N'" & 客戶編號 & "', N'" & 客戶名稱 & "', N'" & 統一編號 & "', N'" & 連絡電話 & "', 
                        N'" & 送貨地址 & "', N'" & 傳真 & "', N'" & 經辦業務 & "', N'" & 交易方式 & "', N'" & 備註 & "', N'" & 幣別 & "', N'" & 匯率 & "')"
        CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_受訂控制表刪除(受訂單號 As String)
        ConnOpen_SQL() : SQL1 = "DELETE  受訂控制表   WHERE  (受訂單號 LIKE N'" & 受訂單號 & "')" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_受訂明細表查詢()
        ConnOpen_SQL()
        SQL1 = "SELECT  流水號  FROM  受訂明細表  WHERE  (流水號 LIKE N'%" & Strings.Format(Today, "yyyyMMdd") & "%') ORDER BY 流水號 DESC"
        CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_受訂明細表新增(流水號 As String, 受訂單號 As String, 產品編號 As String, 產品名稱 As String, 數量 As String, 單位 As String, 單價 As String,
                                   金額 As String, 備註 As String, 訂單號 As String, 貨號 As String)
        ConnOpen_SQL()
        SQL1 = "INSERT INTO 受訂明細表 (流水號, 受訂單號, 產品編號, 產品名稱, 數量, 單位, 單價, 金額, 備註, 訂單號, 貨號) 
                VALUES (N'" & 流水號 & "', N'" & 受訂單號 & "', N'" & 產品編號 & "', N'" & 產品名稱 & "', N'" & 數量 & "', N'" & 單位 & "', N'" & 單價 & "', 
                        N'" & 金額 & "', N'" & 備註 & "', N'" & 訂單號 & "', N'" & 貨號 & "')"
        CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_受訂明細表刪除(受訂單號 As String)
        ConnOpen_SQL() : SQL1 = "DELETE 受訂明細表  WHERE 受訂單號 LIKE  N'" & 受訂單號 & "'" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_銷售發票控制表查詢(單號 As String)
        ConnOpen_SQL() : SQL1 = "SELECT  送貨單號  FROM  銷售發票控制表  WHERE  (送貨單號 LIKE N'" & 單號 & "')" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_銷售發票控制表新增(送貨單號 As String, 客戶基本資料 As String, 客戶名稱 As String, 出貨日期 As String, 經辦人員 As String, 出貨地點 As String, 運送到 As String,
                                      運送方式 As String, 出貨方 As String, 貿易通則 As String, 出貨備註 As String, 貨櫃 As String, 貨櫃ID As String, 貨櫃封條 As String,
                                      棧板數量 As String, 製造 As String, 品牌 As String)
        ConnOpen_SQL()
        SQL1 = "INSERT INTO 銷售發票控制表 (送貨單號, 客戶基本資料, 客戶名稱, 出貨日期, 經辦人員, 出貨地點, 運送到, 運送方式, 出貨方, 貿易通則, 
                                            出貨備註, 貨櫃, 貨櫃ID, 貨櫃封條, 棧板數量, 製造, 品牌)
                VALUES (N'" & 送貨單號 & "', N'" & 客戶基本資料 & "', N'" & 客戶名稱 & "', N'" & 出貨日期 & "', N'" & 經辦人員 & "', N'" & 出貨地點 & "', N'" & 運送到 & "', 
                        N'" & 運送方式 & "', N'" & 出貨方 & "', N'" & 貿易通則 & "', N'" & 出貨備註 & "', N'" & 貨櫃 & "', N'" & 貨櫃ID & "', N'" & 貨櫃封條 & "', 
                        N'" & 棧板數量 & "', N'" & 製造 & "', N'" & 品牌 & "')"
        CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_銷售發票控制表修改(送貨單號 As String, 客戶基本資料 As String, 客戶名稱 As String, 出貨日期 As String, 經辦人員 As String, 出貨地點 As String, 運送到 As String,
                                      運送方式 As String, 出貨方 As String, 貿易通則 As String, 出貨備註 As String, 貨櫃 As String, 貨櫃ID As String, 貨櫃封條 As String,
                                      棧板數量 As String, 製造 As String, 品牌 As String)
        ConnOpen_SQL()
        SQL1 = "UPDATE  銷售發票控制表  SET  客戶基本資料 = N'" & 客戶基本資料 & "', 客戶名稱 = N'" & 客戶名稱 & "', 出貨日期 = N'" & 出貨日期 & "', 經辦人員 = N'" & 經辦人員 & "', 
                                             出貨地點 = N'" & 出貨地點 & "', 運送到 = N'" & 運送到 & "', 運送方式 = N'" & 運送方式 & "', 出貨方 = N'" & 出貨方 & "', 
                                             貿易通則 = N'" & 貿易通則 & "', 出貨備註 = N'" & 出貨備註 & "', 貨櫃 = N'" & 貨櫃 & "', 貨櫃ID = N'" & 貨櫃ID & "', 
                                             貨櫃封條 = N'" & 貨櫃封條 & "', 棧板數量 = N'" & 棧板數量 & "', 製造 = N'" & 製造 & "', 品牌 = N'" & 品牌 & "'  
                WHERE  (送貨單號 LIKE N'" & 送貨單號 & "')"
        CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_銷售發票控制表刪除(送貨單號 As String)
        ConnOpen_SQL()
        SQL1 = "DELETE  銷售發票控制表  WHERE  (送貨單號 LIKE N'" & 送貨單號 & "')"
        CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_銷售_客戶名稱()
        ConnOpen_SQL() : SQL1 = "SELECT  客戶基本資料, 客戶名稱  FROM  銷售發票控制表 GROUP BY 客戶基本資料, 客戶名稱 ORDER BY 客戶名稱 DESC" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_銷售_運送到()
        ConnOpen_SQL() : SQL1 = "SELECT  運送到  FROM  銷售發票控制表 GROUP BY 運送到 ORDER BY 運送到 DESC" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_銷售_貿易方式()
        ConnOpen_SQL() : SQL1 = "SELECT  貿易通則  FROM  銷售發票控制表 GROUP BY 貿易通則 ORDER BY 貿易通則 DESC" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_銷售_貨櫃()
        ConnOpen_SQL() : SQL1 = "SELECT  貨櫃  FROM  銷售發票控制表 GROUP BY 貨櫃 ORDER BY 貨櫃 DESC" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_銷售_品牌()
        ConnOpen_SQL() : SQL1 = "SELECT  品牌  FROM  銷售發票控制表 GROUP BY 品牌 ORDER BY 品牌 DESC" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_銷售發票明細表新增(流水號 As String, 送貨單號 As String, 品名 As String, 描述 As String, 受訂單號 As String, 數量 As String, 單價 As String, 金額 As String,
                                      選擇 As String, 受定流水號 As String, 對方貨號 As String)
        ConnOpen_SQL()
        SQL1 = "INSERT INTO 銷售發票明細表 (流水號, 送貨單號, 品名, 描述, 受訂單號, 數量, 單價, 金額, 選擇, 受定流水號, 對方貨號)
                VALUES (N'" & 流水號 & "', N'" & 送貨單號 & "', N'" & 品名 & "', N'" & 描述 & "', N'" & 受訂單號 & "', N'" & 數量 & "', N'" & 單價 & "', 
                        N'" & 金額 & "', N'" & 選擇 & "', N'" & 受定流水號 & "', N'" & 對方貨號 & "')"
        CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_銷售發票明細表修改(流水號 As String, 描述 As String)
        ConnOpen_SQL() : SQL1 = "UPDATE 銷售發票明細表 SET 描述 = N'" & 描述 & "' WHERE 流水號 LIKE N'" & 流水號 & "'" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_銷售發票明細表查詢()
        ConnOpen_SQL() : SQL1 = "SELECT  流水號  FROM  銷售發票明細表  WHERE  (流水號 LIKE N'%" & Strings.Format(Today, "yyyyMMdd") & "%') ORDER BY 流水號 DESC" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_銷售發票明細表刪除(流水號 As String)
        ConnOpen_SQL() : SQL1 = "DELETE 銷售發票明細表 WHERE 流水號 LIKE N'" & 流水號 & "'" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_受訂明細表轉移標註(流水號 As String, 已轉發票 As String, 轉移目標 As String)
        ConnOpen_SQL() : SQL1 = "UPDATE  受訂明細表  SET  " & 轉移目標 & " = N'" & 已轉發票 & "'  WHERE  (流水號 LIKE N'" & 流水號 & "')" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_訂單控制表()
        ConnOpen_SQL()
        SQL1 = "SELECT  客戶訂單, 客戶名稱, 接收日期, 訂單效期, 交運條件, 付款條件, 業務審批, 生管審批, 製造審批, 品保審批, 總經理
                FROM    訂單審查控制表  ORDER BY   客戶訂單 DESC"
        CmdSet_For_DGV_SQL()
    End Sub
    Friend Sub SQL_訂單明細表(單號 As String)
        ConnOpen_SQL()
        SQL1 = "SELECT  訂單審查明細表.流水號 AS No, 訂單審查明細表.天心品名 AS 品名, QQ.件號, WW.圖面編號, 訂單審查明細表.數量, 
                        訂單審查明細表.單價, 訂單審查明細表.交期, 訂單審查明細表.外包製程, 訂單審查明細表.材料, 
                        訂單審查明細表.標準製造程序, 訂單審查明細表.射蠟模具, 訂單審查明細表.CNC程式, 訂單審查明細表.使用量具, 
                        訂單審查明細表.量測設備, 訂單審查明細表.標準檢驗程序, 訂單審查明細表.流水號, 訂單審查明細表.選擇
                FROM    訂單審查明細表 LEFT OUTER JOIN
                       (SELECT    天心品名, 圖面編號
                        FROM      訂單審查明細表 AS 訂單審查明細表_2
                        WHERE    (圖面編號 NOT LIKE '') AND (圖面編號 IS NOT NULL)
                        GROUP BY  天心品名, 圖面編號) AS WW ON 訂單審查明細表.天心品名 = WW.天心品名 LEFT OUTER JOIN
                       (SELECT    天心品名, 件號
                        FROM      訂單審查明細表 AS 訂單審查明細表_1
                        WHERE    (件號 NOT LIKE '') AND (件號 IS NOT NULL)
                        GROUP BY  天心品名, 件號) AS QQ ON 訂單審查明細表.天心品名 = QQ.天心品名
                WHERE  (訂單審查明細表.客戶訂單號 LIKE N'" & 單號 & "')"
        CmdSet_For_DGV_SQL()
    End Sub
    Friend Sub SQL_訂單控制表查詢(單號 As String)
        ConnOpen_SQL() : SQL1 = "SELECT  客戶訂單  FROM  訂單審查控制表  WHERE  (客戶訂單 LIKE N'" & 單號 & "')" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_訂單控制表新增(客戶訂單 As String, 客戶名稱 As String, 接收日期 As String, 訂單效期 As String, 交運條件 As String, 付款條件 As String, 業務審批 As String,
                                  生管審批 As String, 製造審批 As String, 品保審批 As String, 總經理 As String)
        ConnOpen_SQL()
        SQL1 = "INSERT INTO 訂單審查控制表 (客戶訂單, 客戶名稱, 接收日期, 訂單效期, 交運條件, 付款條件, 業務審批, 生管審批, 製造審批, 品保審批, 總經理)
                VALUES (N'" & 客戶訂單 & "', N'" & 客戶名稱 & "', N'" & 接收日期 & "', N'" & 訂單效期 & "', N'" & 交運條件 & "', N'" & 付款條件 & "', N'" & 業務審批 & "', 
                        N'" & 生管審批 & "', N'" & 製造審批 & "', N'" & 品保審批 & "', N'" & 總經理 & "')"
        CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_訂單控制表修改(客戶訂單 As String, 客戶名稱 As String, 接收日期 As String, 訂單效期 As String, 交運條件 As String, 付款條件 As String, 業務審批 As String,
                                  生管審批 As String, 製造審批 As String, 品保審批 As String, 總經理 As String)
        ConnOpen_SQL()
        SQL1 = "UPDATE  訂單審查控制表  SET  客戶名稱 = N'" & 客戶名稱 & "', 接收日期 = N'" & 接收日期 & "', 訂單效期 = N'" & 訂單效期 & "', 交運條件 = N'" & 交運條件 & "', 
                                             付款條件 = N'" & 付款條件 & "', 業務審批 = N'" & 業務審批 & "', 生管審批 = N'" & 生管審批 & "', 製造審批 = N'" & 製造審批 & "', 
                                             品保審批 = N'" & 品保審批 & "', 總經理 = N'" & 總經理 & "'  
                WHERE  (客戶訂單 LIKE N'" & 客戶訂單 & "')"
        CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_訂單_客戶名稱()
        ConnOpen_SQL() : SQL1 = "SELECT  客戶名稱  FROM  訂單審查控制表 GROUP BY 客戶名稱 ORDER BY 客戶名稱 DESC" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_訂單_交運條件()
        ConnOpen_SQL() : SQL1 = "SELECT  交運條件  FROM  訂單審查控制表 GROUP BY 交運條件 ORDER BY 交運條件 DESC" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_訂單_付款條件()
        ConnOpen_SQL() : SQL1 = "SELECT  付款條件  FROM  訂單審查控制表 GROUP BY 付款條件 ORDER BY 付款條件 DESC" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_訂單控制表重複檢查(單號 As String, 客戶訂單號 As String)
        ConnOpen_SQL() : SQL1 = "SELECT  受訂單號  FROM  訂單審查明細表  WHERE  (受訂單號 LIKE N'" & 單號 & "') AND (客戶訂單號 LIKE N'" & 客戶訂單號 & "')" : CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_訂單明細表新增(流水號 As String, 客戶訂單號 As String, 天心品名 As String, 件號 As String, 圖面編號 As String, 數量 As String, 單價 As String, 交期 As String,
                                  外包製程 As String, 材料 As String, 標準製造程序 As String, 射蠟模具 As String, CNC程式 As String, 使用量具 As String, 量測設備 As String,
                                  標準檢驗程序 As String, 受訂單號 As String)
        ConnOpen_SQL()
        SQL1 = "INSERT INTO 訂單審查明細表 (流水號, 客戶訂單號, 天心品名, 件號, 圖面編號, 數量, 單價, 交期, 外包製程, 材料, 標準製造程序, 射蠟模具, CNC程式, 
                                            使用量具, 量測設備, 標準檢驗程序, 受訂單號)
                VALUES (N'" & 流水號 & "', N'" & 客戶訂單號 & "', N'" & 天心品名 & "', N'" & 件號 & "', N'" & 圖面編號 & "', N'" & 數量 & "', N'" & 單價 & "', 
                        N'" & 交期 & "', N'" & 外包製程 & "', N'" & 材料 & "', N'" & 標準製造程序 & "', N'" & 射蠟模具 & "', N'" & CNC程式 & "', N'" & 使用量具 & "', 
                        N'" & 量測設備 & "', N'" & 標準檢驗程序 & "', N'" & 受訂單號 & "')"
        CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_訂單明細表修改(流水號 As String, 客戶訂單號 As String, 天心品名 As String, 件號 As String, 圖面編號 As String, 數量 As String, 單價 As String, 交期 As String,
                                  外包製程 As String, 材料 As String, 標準製造程序 As String, 射蠟模具 As String, CNC程式 As String, 使用量具 As String, 量測設備 As String,
                                  標準檢驗程序 As String)
        ConnOpen_SQL()
        SQL1 = "UPDATE  訂單審查明細表  SET  客戶訂單號 = N'" & 客戶訂單號 & "', 天心品名 = N'" & 天心品名 & "', 件號 = N'" & 件號 & "', 圖面編號 = N'" & 圖面編號 & "', 
                                             數量 = N'" & 數量 & "', 單價 = N'" & 單價 & "', 交期 = N'" & 交期 & "', 外包製程 = N'" & 外包製程 & "', 
                                             材料 = N'" & 材料 & "', 標準製造程序 = N'" & 標準製造程序 & "', 射蠟模具 = N'" & 射蠟模具 & "', CNC程式 = N'" & CNC程式 & "', 
                                             使用量具 = N'" & 使用量具 & "', 量測設備 = N'" & 量測設備 & "', 標準檢驗程序 = N'" & 標準檢驗程序 & "' 
                WHERE  (流水號 LIKE N'" & 流水號 & "')"
        CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_訂單明細表刪除(流水號 As String, 客戶訂單號 As String)
        ConnOpen_SQL()
        SQL1 = "DELETE  訂單審查明細表 WHERE  (流水號 LIKE N'" & 流水號 & "') AND (客戶訂單號 LIKE N'" & 客戶訂單號 & "')"
        CmdSet_For_dr_SQL()
    End Sub
    Friend Sub SQL_訂單控制表刪除(客戶訂單 As String)
        ConnOpen_SQL() : SQL1 = "DELETE  訂單審查控制表   WHERE  (客戶訂單 LIKE N'" & 客戶訂單 & "')" : CmdSet_For_dr_SQL()
    End Sub
End Module
